Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.command
Class CssStyleDecl

    java.lang.Object
      echopointng.command.CssStyleDecl

All Implemented Interfaces:
  Command, RenderIdSupport

Direct Known Subclasses:
  CssStyleAdd, CssStyleSheetAdd

    public abstract class CssStyleDecl

extends java.lang.Object
implements Command, RenderIdSupport

`CssStyleDecl` is a abstract base class for Commands that implement CSS style and style sheet capabilities.

Constructor Summary
`protected` | `CssStyleDecl()` Constructs a `CssStyleDecl` object

Method Summary
`java.lang.String` | `getMedia()` Sets the media for the CSS Style information The following types are currently know to most CSS implementations `screen` - Intended for non-paged computer screens.
`java.lang.String` | `getRenderId()` Generates a unique id for the Command so it can be addressed later.
`void` | `setMedia(java.lang.String media)` Sets the media that the CSS style information applies to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssStyleDecl

    protected CssStyleDecl()

  Constructs a `CssStyleDecl` object

Method Detail

### getRenderId

    public java.lang.String getRenderId()

  Generates a unique id for the Command so it can be addressed later.

  Specified by:
    `getRenderId` in interface `RenderIdSupport`
  See Also:
    `RenderIdSupport.getRenderId()`

### getMedia

    public java.lang.String getMedia()

  Sets the media for the CSS Style information The following types are currently know to most CSS implementations
  - `screen` - Intended for non-paged computer screens.
  - `tty` - Intended for media using a fixed-pitch character grid, such as teletypes, terminals, or portable devices with limited display capabilities.
  - `tv` - Intended for television-type devices (low resolution, color, limited scrollability).
  - `projection` - Intended for projectors.
  - `handheld` - Intended for handheld devices (small screen, monochrome, bitmapped graphics, limited bandwidth).
  - `print` - Intended for paged, opaque material and for documents viewed on screen in print preview mode.
  - `braille` - Intended for braille tactile feedback devices.
  - `aural` - Intended for speech synthesizers.
  - `all` Suitable for all devices.

  Returns:
    the media

### setMedia

    public void setMedia(java.lang.String media)

  Sets the media that the CSS style information applies to. The following types are currently know to most CSS implementations
  - `screen` - Intended for non-paged computer screens.
  - `tty` - Intended for media using a fixed-pitch character grid, such as teletypes, terminals, or portable devices with limited display capabilities.
  - `tv` - Intended for television-type devices (low resolution, color, limited scrollability).
  - `projection` - Intended for projectors.
  - `handheld` - Intended for handheld devices (small screen, monochrome, bitmapped graphics, limited bandwidth).
  - `print` - Intended for paged, opaque material and for documents viewed on screen in print preview mode.
  - `braille` - Intended for braille tactile feedback devices.
  - `aural` - Intended for speech synthesizers.
  - `all` Suitable for all devices.

  Parameters:
    `media` - - the media to use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD